%define name    tvbrowser
%define Name	TVBrowser
%define summary	TV-Browser - Eine digitale TV-Zeitschrift
%define version 2.6.3
%define release %mkrel 1
%define jdk     java

Name:           %name
Summary:        %summary
Version:        %version
Release:        %release
License:        GPL
Group:          Productivity/Multimedia/TV
URL:            http://www.tvbrowser.org
Source0:         http://mesh.dl.sourceforge.net/sourceforge/tvbrowser/tvbrowser-%{version}-src.zip
Source1:	tvbrowser-startscript.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
Prefix:         %{_prefix}
Requires:       java-1.6.0-sun
BuildRequires:  java-1.6.0-sun-devel
BuildRequires:  ant

%description
TV-Browser is a java-based TV guide which is easily extensible using plugins. It is designed to look like a paper based TV guide.

%description -l de
TV-Browser ist eine digitale TV-Zeitschrift. Das heißt, mit TV-Browser lässt sich das aktuelle TV-Programm aus dem Internet herunterladen. Die Daten können dann offline - also ohne bestehende Internetverbindung - betrachtet werden.

%prep
%setup -n %{name}-%{version}

%build
ant public-linux

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}
cp -R runtime/tvbrowser_linux $RPM_BUILD_ROOT%{_datadir}/tvbrowser

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps
install -m 644 runtime/tvbrowser_linux/imgs/tvbrowser16.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps/tvbrowser.png
install -m 644 runtime/tvbrowser_linux/imgs/tvbrowser32.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/tvbrowser.png
install -m 644 runtime/tvbrowser_linux/imgs/tvbrowser48.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/tvbrowser.png
install -m 755 deployment/linux/tvbrowser.sh $RPM_BUILD_ROOT%{_datadir}/tvbrowser/tvbrowser.sh
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 %SOURCE1 $RPM_BUILD_ROOT%{_bindir}/tvbrowser

mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Multimedia
echo -e "[Desktop Entry] Encoding=UTF-8 BinaryPattern=tvbrowser.sh; Name=TV-Browser Comment=TV-Browser - Eine digitale TV-Zeitschrift MimeType= Exec=tvbrowser.sh GenericName=TV-Zeitschrift Icon=tvbrowser TerminalOptions= Path= Type=Application Terminal=0 X-KDE-StartupNotify=true X-DCOP-ServiceType=Multi Categories=TV " > $RPM_BUILD_ROOT/usr/share/applnk/Multimedia/tvbrowser.desktop
chmod 755  $RPM_BUILD_ROOT/usr/share/applnk/Multimedia/tvbrowser.desktop

#menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
        command="%{_bindir}/%{name}"\
        needs="X11"\
        section="Multimedia/Video"\
        icon="%{name}.png"\
        title="%{Name}"\
        longtitle="%{summary}" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{Name}
Comment=%{summary}
Exec=%{_bindir}/%{name} %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Video;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_datadir}/tvbrowser
%{_datadir}/icons/hicolor/*/apps/tvbrowser.png
%{_datadir}/applnk/Multimedia/tvbrowser.desktop
%{_bindir}/tvbrowser
%{_menudir}/tvbrowser
%{_datadir}/applications/mandriva-tvbrowser.desktop

%changelog
* Mon Jan 14 2008 Oliver Burger <rpm@mandrivauser.de> 2.6.3-1mud2008.0
- new version 2.6.3

* Sat Dec 29 2007 Oliver Burger <rpm@mandrivauser.de> 2.6.2-1mud2008.0
- new version 2.6.2

* Mon Dec 24 2007 Oliver Burger <rpm@mandrivauser.de> 2.6.1-1mud2008.0
- new version 2.6.1

* Fri Dec 14 2007 Oliver Burger <rpm@mandrivauser.de> 2.6-2mud2008.0
- added menu-entry

* Sun Oct 28 2007 Oliver Burger <rpm@mandrivauser.de> 2.6-1mud2008.0
- initial MUde-package
- new version 2.6

* Sat Sep 03 2005 Kay Patzwald <kay_patzwald@users.sourceforge.net>
- new spec-file for tvbrowser v2.01

* Wed Mar 07 2005 Kay Patzwald <kay_patzwald@users.sourceforge.net>
- first release
